@ARTICLE{TRIGUERO2024102135,
title = {General Purpose Artificial Intelligence Systems (GPAIS): Properties, definition, taxonomy, societal implications and responsible governance},
journal = {Information Fusion},
volume = {103},
pages = {102135},
year = {2024},
issn = {1566-2535},
doi = {10.1016/j.inffus.2023.102135},
url = {https://www.sciencedirect.com/science/article/pii/S1566253523004517},
author = {Isaac Triguero and Daniel Molina and Javier Poyatos and Javier {Del Ser} and Francisco Herrera},
keywords = {General-purpose AI, Meta-learning, Reinforcement learning, Neuroevolution, Few-shot learning, AutoML, Transfer learning, Generative AI, Large language models},
abstract = {Most applications of Artificial Intelligence (AI) are designed for a confined and specific task. However, there are many scenarios that call for a more general AI, capable of solving a wide array of tasks without being specifically designed for them. The term General Purpose Artificial Intelligence Systems (GPAIS) has been defined to refer to these AI systems. To date, the possibility of an Artificial General Intelligence, powerful enough to perform any intellectual task as if it were human, or even improve it, has remained an aspiration, fiction, and considered a risk for our society. Whilst we might still be far from achieving that, GPAIS is a reality and sitting at the forefront of AI research. This work discusses existing definitions for GPAIS and proposes a new definition that allows for a gradual differentiation among types of GPAIS according to their properties and limitations. We distinguish between closed-world and open-world GPAIS, characterising their degree of autonomy and ability based on several factors such as adaptation to new tasks, competence in domains not intentionally trained for, ability to learn from few data, or proactive acknowledgement of their own limitations. We then propose a taxonomy of approaches to realise GPAIS, describing research trends such as the use of AI techniques to improve another AI (commonly referred to as AI-powered AI) or (single) foundation models. As a prime example, we delve into generative AI (GenAI), aligning them with the terms and concepts presented in the taxonomy. Similarly, we explore the challenges and prospects of multi-modality, which involves fusing various types of data sources to expand the capabilities of GPAIS. Through the proposed definition and taxonomy, our aim is to facilitate research collaboration across different areas that are tackling general purpose tasks, as they share many common aspects. Finally, with the goal of providing a holistic view of GPAIS, we discuss the current state of GPAIS, its prospects, implications for our society, and the need for regulation and governance of GPAIS to ensure their responsible and trustworthy development.}
}


@ARTICLE{Poyatos2023,
author={Poyatos, J. and Molina, D. and Martínez-Seras, A. and Del Ser, J. and Herrera, F.},
title={Multiobjective evolutionary pruning of Deep Neural Networks with Transfer Learning for improving their performance and robustness},
journal={Applied Soft Computing},
year={2023},
volume={147},
doi={10.1016/j.asoc.2023.110757},
art_number={110757},
note={cited By 0},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-85171623378&doi=10.1016%2fj.asoc.2023.110757&partnerID=40&md5=4d1eb27a27acad1f11835b0576b3cf8c},
document_type={Article},
source={Scopus},
}

@ARTICLE{Poyatos202359,
author={Poyatos, J. and Molina, D. and Martinez, A.D. and Del Ser, J. and Herrera, F.},
title={EvoPruneDeepTL: An evolutionary pruning model for transfer learning based deep neural networks},
journal={Neural Networks},
year={2023},
volume={158},
pages={59-82},
doi={10.1016/j.neunet.2022.10.011},
note={cited By 4},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-85142746127&doi=10.1016%2fj.neunet.2022.10.011&partnerID=40&md5=317431eeff131226fcff8e9a77b0b35c},
document_type={Article},
source={Scopus},
}

@ARTICLE{Molina2022114,
author={Molina, D. and Poyatos, J. and Osaba, E. and Del Ser, J. and Herrera, F.},
title={Nature- and bio-inspired optimization: The good, the bad, the ugly and the hopeful [Optimización inspirada en la naturaleza y en la biología: Lo bueno, lo malo, lo feo y lo esperanzador]},
journal={Dyna (Spain)},
year={2022},
volume={97},
number={2},
pages={114-117},
doi={10.6036/10331},
note={cited By 2},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-85126098014&doi=10.6036%2f10331&partnerID=40&md5=64519ce8587f8f3cc04fcbe4f661687d},
document_type={Article},
source={Scopus},
}

@ARTICLE{Liu2022,
author={Liu, X. and Wang, N. and Molina, D. and Herrera, F.},
title={A least square support vector machine approach based on bvRNA-GA for modeling photovoltaic systems},
journal={Applied Soft Computing},
year={2022},
volume={117},
doi={10.1016/j.asoc.2021.108357},
art_number={108357},
note={cited By 4},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-85123868350&doi=10.1016%2fj.asoc.2021.108357&partnerID=40&md5=968331a136375f04ef0562902ce8ca51},
document_type={Article},
source={Scopus},
}

@ARTICLE{LaTorre2021,
author={LaTorre, A. and Molina, D. and Osaba, E. and Poyatos, J. and Del Ser, J. and Herrera, F.},
title={A prescription of methodological guidelines for comparing bio-inspired optimization algorithms},
journal={Swarm and Evolutionary Computation},
year={2021},
volume={67},
doi={10.1016/j.swevo.2021.100973},
art_number={100973},
note={cited By 49},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-85114019381&doi=10.1016%2fj.swevo.2021.100973&partnerID=40&md5=1a409d3f61d1a78662b4a54dddd1bb0a},
document_type={Article},
source={Scopus},
}

@ARTICLE{Palomares20216497,
author={Palomares, I. and Martínez-Cámara, E. and Montes, R. and García-Moral, P. and Chiachio, M. and Chiachio, J. and Alonso, S. and Melero, F.J. and Molina, D. and Fernández, B. and Moral, C. and Marchena, R. and de Vargas, J.P. and Herrera, F.},
title={A panoramic view and swot analysis of artificial intelligence for achieving the sustainable development goals by 2030: progress and prospects},
journal={Applied Intelligence},
year={2021},
volume={51},
number={9},
pages={6497-6527},
doi={10.1007/s10489-021-02264-y},
note={cited By 54},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-85107518477&doi=10.1007%2fs10489-021-02264-y&partnerID=40&md5=c1adae3895d194ba38cc3a8d311231cd},
document_type={Article},
source={Scopus},
}

@ARTICLE{Osaba2021,
author={Osaba, E. and Villar-Rodriguez, E. and Del Ser, J. and Nebro, A.J. and Molina, D. and LaTorre, A. and Suganthan, P.N. and Coello Coello, C.A. and Herrera, F.},
title={A Tutorial On the design, experimentation and application of metaheuristic algorithms to real-World optimization problems},
journal={Swarm and Evolutionary Computation},
year={2021},
volume={64},
doi={10.1016/j.swevo.2021.100888},
art_number={100888},
note={cited By 119},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-85107680095&doi=10.1016%2fj.swevo.2021.100888&partnerID=40&md5=73c687ab24c6a797a78d127139e1ba97},
document_type={Article},
source={Scopus},
}

@ARTICLE{Alonso2021,
author={Alonso, S. and Montes, R. and Molina, D. and Palomares, I. and Martínez-Cámara, E. and Chiachio, M. and Chiachio, J. and Melero, F.J. and García-Moral, P. and Fernández, B. and Moral, C. and Marchena, R. and de Vargas, J.P. and Herrera, F.},
title={Ordering artificial intelligence based recommendations to tackle the sdgs with a decision-making model based on surveys},
journal={Sustainability (Switzerland)},
year={2021},
volume={13},
number={11},
doi={10.3390/su13116038},
art_number={6038},
note={cited By 8},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-85107764947&doi=10.3390%2fsu13116038&partnerID=40&md5=13afddbe0325378d144275bdbcef6fc0},
document_type={Article},
source={Scopus},
}

@ARTICLE{Martinez2021161,
author={Martinez, A.D. and Del Ser, J. and Villar-Rodriguez, E. and Osaba, E. and Poyatos, J. and Tabik, S. and Molina, D. and Herrera, F.},
title={Lights and shadows in Evolutionary Deep Learning: Taxonomy, critical methodological analysis, cases of study, learned lessons, recommendations and challenges},
journal={Information Fusion},
year={2021},
volume={67},
pages={161-194},
doi={10.1016/j.inffus.2020.10.014},
note={cited By 17},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-85094325767&doi=10.1016%2fj.inffus.2020.10.014&partnerID=40&md5=93fd17972954b6b663e0b9fed9938947},
document_type={Article},
source={Scopus},
}

@CONFERENCE{DelSer2021,
author={Del Ser, J. and Osaba, E. and Martinez, A.D. and Bilbao, M.N. and Poyatos, J. and Molina, D. and Herrera, F.},
title={More is not Always Better: Insights from a Massive Comparison of Meta-heuristic Algorithms over Real-Parameter Optimization Problems},
journal={2021 IEEE Symposium Series on Computational Intelligence, SSCI 2021 - Proceedings},
year={2021},
doi={10.1109/SSCI50451.2021.9660030},
note={cited By 1},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-85125804403&doi=10.1109%2fSSCI50451.2021.9660030&partnerID=40&md5=0b35d99e816cd0f5d203ae12ab8408de},
document_type={Conference Paper},
source={Scopus},
}

@ARTICLE{Gómez2020,
author={Gómez, O. and Ibáñez, O. and Valsecchi, A. and Bermejo, E. and Molina, D. and Cordón, O.},
title={Performance analysis of real-coded evolutionary algorithms under a computationally expensive optimization scenario: 3D–2D Comparative Radiography},
journal={Applied Soft Computing Journal},
year={2020},
volume={97},
doi={10.1016/j.asoc.2020.106793},
art_number={106793},
note={cited By 4},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-85092456271&doi=10.1016%2fj.asoc.2020.106793&partnerID=40&md5=c42bdbeed4dcbfca0f25b054a2cba879},
document_type={Article},
source={Scopus},
}

@ARTICLE{Molina2020897,
author={Molina, D. and Poyatos, J. and Ser, J.D. and García, S. and Hussain, A. and Herrera, F.},
title={Comprehensive Taxonomies of Nature- and Bio-inspired Optimization: Inspiration Versus Algorithmic Behavior, Critical Analysis Recommendations},
journal={Cognitive Computation},
year={2020},
volume={12},
number={5},
pages={897-939},
doi={10.1007/s12559-020-09730-8},
note={cited By 95},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-85084340371&doi=10.1007%2fs12559-020-09730-8&partnerID=40&md5=b2b1c41ad6d0d989f82de172d1ce05c2},
document_type={Article},
source={Scopus},
}

@CONFERENCE{Latorre2020,
author={Latorre, A. and Molina, D.},
title={On the Role of Execution Order in Hybrid Evolutionary Algorithms},
journal={2020 IEEE Congress on Evolutionary Computation, CEC 2020 - Conference Proceedings},
year={2020},
doi={10.1109/CEC48606.2020.9185676},
art_number={9185676},
note={cited By 0},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-85092055216&doi=10.1109%2fCEC48606.2020.9185676&partnerID=40&md5=fbf1dc99d198c5e16ebdc4b8c65efca6},
document_type={Conference Paper},
source={Scopus},
}

@ARTICLE{BarredoArrieta202082,
author={Barredo Arrieta, A. and Díaz-Rodríguez, N. and Del Ser, J. and Bennetot, A. and Tabik, S. and Barbado, A. and Garcia, S. and Gil-Lopez, S. and Molina, D. and Benjamins, R. and Chatila, R. and Herrera, F.},
title={Explainable Artificial Intelligence (XAI): Concepts, taxonomies, opportunities and challenges toward responsible AI},
journal={Information Fusion},
year={2020},
volume={58},
pages={82-115},
doi={10.1016/j.inffus.2019.12.012},
note={cited By 2802},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-85077515399&doi=10.1016%2fj.inffus.2019.12.012&partnerID=40&md5=720e37936410af916e3efe40346dbeed},
document_type={Article},
source={Scopus},
}

@ARTICLE{DelSer2019220,
author={Del Ser, J. and Osaba, E. and Molina, D. and Yang, X.-S. and Salcedo-Sanz, S. and Camacho, D. and Das, S. and Suganthan, P.N. and Coello Coello, C.A. and Herrera, F.},
title={Bio-inspired computation: Where we stand and what's next},
journal={Swarm and Evolutionary Computation},
year={2019},
volume={48},
pages={220-250},
doi={10.1016/j.swevo.2019.04.008},
note={cited By 385},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-85065055789&doi=10.1016%2fj.swevo.2019.04.008&partnerID=40&md5=8a7be2c71f8faf21f9a19f39b3ab874e},
document_type={Article},
source={Scopus},
}

@CONFERENCE{Molina2019359,
author={Molina, D. and Nesterenko, A.R. and Latorre, A.},
title={Comparing Large-Scale Global Optimization Competition winners in a real-world problem},
journal={2019 IEEE Congress on Evolutionary Computation, CEC 2019 - Proceedings},
year={2019},
pages={359-365},
doi={10.1109/CEC.2019.8789943},
art_number={8789943},
note={cited By 8},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-85071321249&doi=10.1109%2fCEC.2019.8789943&partnerID=40&md5=5bc01121eddaec0fad510c88f8d40d65},
document_type={Conference Paper},
source={Scopus},
}

@CONFERENCE{Molina20197,
author={Molina, D. and Herrera, F.},
title={Applying Memetic algorithm with Improved L-SHADE and Local Search Pool for the 100-digit challenge on Single Objective Numerical Optimization},
journal={2019 IEEE Congress on Evolutionary Computation, CEC 2019 - Proceedings},
year={2019},
pages={7-13},
doi={10.1109/CEC.2019.8789916},
art_number={8789916},
note={cited By 3},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-85071317550&doi=10.1109%2fCEC.2019.8789916&partnerID=40&md5=732783577bc0d465b59c8a10d9dc5577},
document_type={Conference Paper},
source={Scopus},
}

@ARTICLE{Leon2019795,
author={Leon, M. and Xiong, N. and Molina, D. and Herrera, F.},
title={A novel memetic framework for enhancing differential evolution algorithms via combination with alopex local search},
journal={International Journal of Computational Intelligence Systems},
year={2019},
volume={12},
number={2},
pages={795-808},
doi={10.2991/ijcis.d.190711.001},
note={cited By 9},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-85073320189&doi=10.2991%2fijcis.d.190711.001&partnerID=40&md5=a495a86d65cd5ff45bca1199f5103113},
document_type={Article},
source={Scopus},
}

@CONFERENCE{Molina2018a,
author={Molina, D. and Latorre, A.},
title={Toolkit for the Automatic Comparison of Optimizers: Comparing Large-Scale Global Optimizers Made Easy},
journal={2018 IEEE Congress on Evolutionary Computation, CEC 2018 - Proceedings},
year={2018},
doi={10.1109/CEC.2018.8477924},
art_number={8477924},
note={cited By 10},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-85056276959&doi=10.1109%2fCEC.2018.8477924&partnerID=40&md5=548dec3ff9db6b2689d0c2cfaacff6a4},
document_type={Conference Paper},
source={Scopus},
}

@CONFERENCE{Molina2018,
author={Molina, D. and Latorre, A. and Herrera, F.},
title={SHADE with Iterative Local Search for Large-Scale Global Optimization},
journal={2018 IEEE Congress on Evolutionary Computation, CEC 2018 - Proceedings},
year={2018},
doi={10.1109/CEC.2018.8477755},
art_number={8477755},
note={cited By 65},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-85056274128&doi=10.1109%2fCEC.2018.8477755&partnerID=40&md5=99e12fd5489e36d2541ac4c8dc5c5d83},
document_type={Conference Paper},
source={Scopus},
}

@ARTICLE{Molina2018517,
author={Molina, D. and LaTorre, A. and Herrera, F.},
title={An Insight into Bio-inspired and Evolutionary Algorithms for Global Optimization: Review, Analysis, and Lessons Learnt over a Decade of Competitions},
journal={Cognitive Computation},
year={2018},
volume={10},
number={4},
pages={517-544},
doi={10.1007/s12559-018-9554-0},
note={cited By 65},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-85046021327&doi=10.1007%2fs12559-018-9554-0&partnerID=40&md5=a92a08181f63023087ac172b32598f32},
document_type={Review},
source={Scopus},
}

@ARTICLE{García-Martínez20175573,
author={García-Martínez, C. and Gutiérrez, P.D. and Molina, D. and Lozano, M. and Herrera, F.},
title={Since CEC 2005 competition on real-parameter optimisation: a decade of research, progress and comparative analysis’s weakness},
journal={Soft Computing},
year={2017},
volume={21},
number={19},
pages={5573-5583},
doi={10.1007/s00500-016-2471-9},
note={cited By 55},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-85008500428&doi=10.1007%2fs00500-016-2471-9&partnerID=40&md5=00562464e7b434c2f55b5fd77981cfc0},
document_type={Article},
source={Scopus},
}

@CONFERENCE{Molina2017805,
author={Molina, D. and Moreno-García, F. and Herrera, F.},
title={Analysis among winners of different IEEE CEC competitions on real-parameters optimization: Is there always improvement?},
journal={2017 IEEE Congress on Evolutionary Computation, CEC 2017 - Proceedings},
year={2017},
pages={805-812},
doi={10.1109/CEC.2017.7969392},
art_number={7969392},
note={cited By 7},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-85028515476&doi=10.1109%2fCEC.2017.7969392&partnerID=40&md5=d1b25ae3ec64439d205460b00df01a41},
document_type={Conference Paper},
source={Scopus},
}

@ARTICLE{Bergmeir2016,
author={Bergmeir, C. and Molina, D. and Benítez, J.M.},
title={Memetic algorithms with local search chains in R: The Rmalschains package},
journal={Journal of Statistical Software},
year={2016},
volume={75},
number={1},
doi={10.18637/jss.v075.i04},
note={cited By 17},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-85007341908&doi=10.18637%2fjss.v075.i04&partnerID=40&md5=8a90874f92bddb358b8434a470c4d3db},
document_type={Article},
source={Scopus},
}

@CONFERENCE{Salcedo-Sanz20163574,
author={Salcedo-Sanz, S. and Camacho-Gomez, C. and Molina, D. and Herrera, F.},
title={A coral reefs optimization algorithm with substrate layers and local search for large scale global optimization},
journal={2016 IEEE Congress on Evolutionary Computation, CEC 2016},
year={2016},
pages={3574-3581},
doi={10.1109/CEC.2016.7744242},
art_number={7744242},
note={cited By 37},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-85008262520&doi=10.1109%2fCEC.2016.7744242&partnerID=40&md5=fb549ac577840f824847b20300c8ae92},
document_type={Conference Paper},
source={Scopus},
}

@ARTICLE{Lacroix2016719,
author={Lacroix, B. and Molina, D. and Herrera, F.},
title={Region-based memetic algorithm with archive for multimodal optimisation},
journal={Information Sciences},
year={2016},
volume={367-368},
pages={719-746},
doi={10.1016/j.ins.2016.05.049},
note={cited By 18},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-84978811041&doi=10.1016%2fj.ins.2016.05.049&partnerID=40&md5=56a03a741a77ca90824237d626b96f33},
document_type={Article},
source={Scopus},
}

@ARTICLE{Cabrera201685,
author={Cabrera, D.M.},
title={Evolutionary algorithms for large-scale global optimisation: a snapshot, trends and challenges},
journal={Progress in Artificial Intelligence},
year={2016},
volume={5},
number={2},
pages={85-89},
doi={10.1007/s13748-016-0082-4},
note={cited By 15},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-84988547853&doi=10.1007%2fs13748-016-0082-4&partnerID=40&md5=741fa4c2416d836e4befab22061bcc0a},
document_type={Article},
source={Scopus},
}

@ARTICLE{RodriguezCorral20161823,
author={Rodriguez Corral, J.M. and Morgado-Estevez, A. and Molina Cabrera, D. and Perez-Pena, F. and Amaya Rodriguez, C.A. and Civit Balcells, A.},
title={Application of robot programming to the teaching of object-oriented computer languages},
journal={International Journal of Engineering Education},
year={2016},
volume={32},
number={4},
pages={1823-1832},
note={cited By 5},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-84992727075&partnerID=40&md5=ff51e6864a4d8fea3069ea1cad36d9d1},
document_type={Article},
source={Scopus},
}

@CONFERENCE{Molina20151974,
author={Molina, D. and Herrera, F.},
title={Iterative hybridization of de with Local Search for the CEC'2015 special session on large scale global optimization},
journal={2015 IEEE Congress on Evolutionary Computation, CEC 2015 - Proceedings},
year={2015},
pages={1974-1978},
doi={10.1109/CEC.2015.7257127},
art_number={7257127},
note={cited By 34},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-84963588720&doi=10.1109%2fCEC.2015.7257127&partnerID=40&md5=ae017b1b50935682f992b287d5e608a7},
document_type={Conference Paper},
source={Scopus},
}

@ARTICLE{Xiong2015606,
author={Xiong, N. and Molina, D. and Ortiz, M.L. and Herrera, F.},
title={A Walk into Metaheuristics for Engineering Optimization: Principles, Methods and Recent Trends},
journal={International Journal of Computational Intelligence Systems},
year={2015},
volume={8},
number={4},
pages={606-636},
doi={10.1080/18756891.2015.1046324},
note={cited By 63},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-84930999593&doi=10.1080%2f18756891.2015.1046324&partnerID=40&md5=f1ee84ee6b0a211d1bfd66a7d668ba4d},
document_type={Review},
source={Scopus},
}

@ARTICLE{Lastra201535,
author={Lastra, M. and Molina, D. and Benítez, J.M.},
title={A high performance memetic algorithm for extremely high-dimensional problems},
journal={Information Sciences},
year={2015},
volume={293},
pages={35-58},
doi={10.1016/j.ins.2014.09.018},
note={cited By 25},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-84922590736&doi=10.1016%2fj.ins.2014.09.018&partnerID=40&md5=e55132aa8067fed8b85b6acf869029e2},
document_type={Article},
source={Scopus},
}

@ARTICLE{Liao2015490,
author={Liao, T. and Molina, D. and Stützle, T.},
title={Performance evaluation of automatically tuned continuous optimizers on different benchmark sets},
journal={Applied Soft Computing Journal},
year={2015},
volume={27},
pages={490-503},
doi={10.1016/j.asoc.2014.11.006},
note={cited By 40},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-84919727129&doi=10.1016%2fj.asoc.2014.11.006&partnerID=40&md5=a74d260526312dd5798874b6f87f3e4e},
document_type={Article},
source={Scopus},
}

@CONFERENCE{Molina20141633,
author={Molina, D. and Lacroix, B. and Herrera, F.},
title={Influence of regions on the memetic algorithm for the CEC'2014 Special Session on Real-Parameter Single Objective Optimisation},
journal={Proceedings of the 2014 IEEE Congress on Evolutionary Computation, CEC 2014},
year={2014},
pages={1633-1640},
doi={10.1109/CEC.2014.6900536},
art_number={6900536},
note={cited By 18},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-84908587588&doi=10.1109%2fCEC.2014.6900536&partnerID=40&md5=6ec56a735bf70cfb6a186f8ff8b97c4d},
document_type={Conference Paper},
source={Scopus},
}

@ARTICLE{Lacroix201415,
author={Lacroix, B. and Molina, D. and Herrera, F.},
title={Region based memetic algorithm for real-parameter optimisation},
journal={Information Sciences},
year={2014},
volume={262},
pages={15-31},
doi={10.1016/j.ins.2013.11.032},
note={cited By 15},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-84892553248&doi=10.1016%2fj.ins.2013.11.032&partnerID=40&md5=a24e32115e501ef3cd714f3ac4cfab41},
document_type={Article},
source={Scopus},
}

@ARTICLE{Liao2014351,
author={Liao, T. and Molina, D. and de Oca, M.A.M. and Stützle, T.},
title={A Note on Bound Constraints Handling for the IEEE CEC'05 Benchmark Function Suite},
journal={Evolutionary Computation},
year={2014},
volume={22},
number={2},
pages={351-359},
doi={10.1162/EVCO_a_00120},
note={cited By 11},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-84900022548&doi=10.1162%2fEVCO_a_00120&partnerID=40&md5=c61cd131fa459885f4af0ad9863db93a},
document_type={Article},
source={Scopus},
}

@CONFERENCE{Molina201387,
author={Molina, D. and Puris, A. and Bello, R. and Herrera, F.},
title={Variable mesh optimization for the 2013 CEC Special Session Niching Methods for Multimodal Optimization},
journal={2013 IEEE Congress on Evolutionary Computation, CEC 2013},
year={2013},
pages={87-94},
doi={10.1109/CEC.2013.6557557},
art_number={6557557},
note={cited By 23},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-84881587334&doi=10.1109%2fCEC.2013.6557557&partnerID=40&md5=77a11c0e4be98658108851371c10ae1a},
document_type={Conference Paper},
source={Scopus},
}

@CONFERENCE{Lacroix20131945,
author={Lacroix, B. and Molina, D. and Herrera, F.},
title={Dynamically updated region based memetic algorithm for the 2013 CEC Special Session and Competition on Real Parameter Single Objective Optimization},
journal={2013 IEEE Congress on Evolutionary Computation, CEC 2013},
year={2013},
pages={1945-1951},
doi={10.1109/CEC.2013.6557797},
art_number={6557797},
note={cited By 18},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-84881566787&doi=10.1109%2fCEC.2013.6557797&partnerID=40&md5=2bb24f2e66edb0cd389fca6c2282caab},
document_type={Conference Paper},
source={Scopus},
}

@ARTICLE{Bergmeir20121841,
author={Bergmeir, C. and Triguero, I. and Molina, D. and Aznarte, J.L. and Benitez, J.M.},
title={Time series modeling and forecasting using memetic algorithms for regime-switching models},
journal={IEEE Transactions on Neural Networks and Learning Systems},
year={2012},
volume={23},
number={11},
pages={1841-1847},
doi={10.1109/TNNLS.2012.2216898},
art_number={6323088},
note={cited By 14},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-84875874320&doi=10.1109%2fTNNLS.2012.2216898&partnerID=40&md5=e3ffddb3e936ad47523326602d29468c},
document_type={Article},
source={Scopus},
}

@CONFERENCE{Lacroix2012,
author={Lacroix, B. and Molina, D. and Herrera, F.},
title={Region based memetic algorithm with LS chaining},
journal={2012 IEEE Congress on Evolutionary Computation, CEC 2012},
year={2012},
doi={10.1109/CEC.2012.6256529},
art_number={6256529},
note={cited By 5},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-84866875452&doi=10.1109%2fCEC.2012.6256529&partnerID=40&md5=d77bd3c667c38b7335f529c33efdb7b2},
document_type={Conference Paper},
source={Scopus},
}

@CONFERENCE{Puris2012,
author={Puris, A. and Bello, R. and Molina, D. and Herrera, F.},
title={Optimising real parameters using the information of a mesh of solutions: VMO algorithm},
journal={2012 IEEE Congress on Evolutionary Computation, CEC 2012},
year={2012},
doi={10.1109/CEC.2012.6252873},
art_number={6252873},
note={cited By 2},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-84866848232&doi=10.1109%2fCEC.2012.6252873&partnerID=40&md5=7af2ab1675858838664b2b9dc396210e},
document_type={Conference Paper},
source={Scopus},
}

@ARTICLE{Puris2012511,
author={Puris, A. and Bello, R. and Molina, D. and Herrera, F.},
title={Variable mesh optimization for continuous optimization problems},
journal={Soft Computing},
year={2012},
volume={16},
number={3},
pages={511-525},
doi={10.1007/s00500-011-0753-9},
note={cited By 35},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-84856960609&doi=10.1007%2fs00500-011-0753-9&partnerID=40&md5=0465faef55d8f88bb63a0995e49563f2},
document_type={Article},
source={Scopus},
}

@ARTICLE{Marín2012331,
author={Marín, J. and Molina, D. and Herrera, F.},
title={Modeling dynamics of a real-coded CHC algorithm in terms of dynamical probability distributions},
journal={Soft Computing},
year={2012},
volume={16},
number={2},
pages={331-351},
doi={10.1007/s00500-011-0745-9},
note={cited By 1},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-84855665140&doi=10.1007%2fs00500-011-0745-9&partnerID=40&md5=5185773f6c73abedd50c0d8734d6c163},
document_type={Article},
source={Scopus},
}

@CONFERENCE{Liao2012159,
author={Liao, T. and Molina, D. and Stützle, T. and Montes De Oca, M.A. and Dorigo, M.},
title={An ACO algorithm benchmarked on the BBOB noiseless function testbed},
journal={GECCO'12 - Proceedings of the 14th International Conference on Genetic and Evolutionary Computation Companion},
year={2012},
pages={159-166},
doi={10.1145/2330784.2330809},
note={cited By 7},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-84865024953&doi=10.1145%2f2330784.2330809&partnerID=40&md5=49ef1f713c8735e238c9caff2d6d77dd},
document_type={Conference Paper},
source={Scopus},
}

@ARTICLE{Molina20112201,
author={Molina, D. and Lozano, M. and Sánchez, A.M. and Herrera, F.},
title={Memetic algorithms based on local search chains for large scale continuous optimisation problems: MA-SSW-Chains},
journal={Soft Computing},
year={2011},
volume={15},
number={11},
pages={2201-2220},
doi={10.1007/s00500-010-0647-2},
note={cited By 86},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-80053933552&doi=10.1007%2fs00500-010-0647-2&partnerID=40&md5=48225a4393f8605cfcdba09fb8585ed5},
document_type={Article},
source={Scopus},
}

@ARTICLE{Lozano20112085,
author={Lozano, M. and Molina, D. and Herrera, F.},
title={Editorial scalability of evolutionary algorithms and other metaheuristics for large-scale continuous optimization problems},
journal={Soft Computing},
year={2011},
volume={15},
number={11},
pages={2085-2087},
doi={10.1007/s00500-010-0639-2},
note={cited By 122},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-80051834047&doi=10.1007%2fs00500-010-0639-2&partnerID=40&md5=ccea05b168ae32decb3a92aaba6e6b85},
document_type={Editorial},
source={Scopus},
}

@ARTICLE{Lozano201131,
author={Lozano, M. and Molina, D. and García-Martínez, C.},
title={Iterated greedy for the maximum diversity problem},
journal={European Journal of Operational Research},
year={2011},
volume={214},
number={1},
pages={31-38},
doi={10.1016/j.ejor.2011.04.018},
note={cited By 48},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-79958003662&doi=10.1016%2fj.ejor.2011.04.018&partnerID=40&md5=22bec306c7291eba6847fa6cdb8b1448},
document_type={Article},
source={Scopus},
}

@ARTICLE{Aznarte2011386,
author={Aznarte, J.L. and Molina, D. and Sánchez, A.M. and Benítez, J.M.},
title={A test for the homoscedasticity of the residuals in fuzzy rule-based forecasters},
journal={Applied Intelligence},
year={2011},
volume={34},
number={3},
pages={386-393},
doi={10.1007/s10489-011-0288-x},
note={cited By 6},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-79956111931&doi=10.1007%2fs10489-011-0288-x&partnerID=40&md5=2fea61693af7e76744049387db3d9c0c},
document_type={Conference Paper},
source={Scopus},
}

@ARTICLE{Derrac20113,
author={Derrac, J. and García, S. and Molina, D. and Herrera, F.},
title={A practical tutorial on the use of nonparametric statistical tests as a methodology for comparing evolutionary and swarm intelligence algorithms},
journal={Swarm and Evolutionary Computation},
year={2011},
volume={1},
number={1},
pages={3-18},
doi={10.1016/j.swevo.2011.02.002},
note={cited By 3767},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-79960535211&doi=10.1016%2fj.swevo.2011.02.002&partnerID=40&md5=1bd95f16267f989fcee450f9c331ea82},
document_type={Article},
source={Scopus},
}

@CONFERENCE{Molina2010,
author={Molina, D. and Lozano, M. and Herrera, F.},
title={MA-SW-Chains: Memetic algorithm based on local search chains for large scale continuous global optimization},
journal={2010 IEEE World Congress on Computational Intelligence, WCCI 2010 - 2010 IEEE Congress on Evolutionary Computation, CEC 2010},
year={2010},
doi={10.1109/CEC.2010.5586034},
art_number={5586034},
note={cited By 150},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-79959438816&doi=10.1109%2fCEC.2010.5586034&partnerID=40&md5=e0c7bb7c0234a4aa35fa716009823824},
document_type={Conference Paper},
source={Scopus},
}

@ARTICLE{Molina201027,
author={Molina, D. and Lozano, M. and García-Martínez, C. and Herrera, F.},
title={Memetic algorithms for continuous optimisation based on local search chains},
journal={Evolutionary Computation},
year={2010},
volume={18},
number={1},
pages={27-63},
doi={10.1162/evco.2010.18.1.18102},
note={cited By 147},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-77749289802&doi=10.1162%2fevco.2010.18.1.18102&partnerID=40&md5=536408bc4f58da2b284e977d265d5879},
document_type={Article},
source={Scopus},
}

@ARTICLE{Molina2009221,
author={Molina, D. and Lozano, M. and Herrera, F.},
title={Study of the influence of the local search method in memetic algorithms for large scale continuous optimization problems},
journal={Lecture Notes in Computer Science (including subseries Lecture Notes in Artificial Intelligence and Lecture Notes in Bioinformatics)},
year={2009},
volume={5851 LNCS},
pages={221-234},
doi={10.1007/978-3-642-11169-3_16},
note={cited By 0},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-72549107140&doi=10.1007%2f978-3-642-11169-3_16&partnerID=40&md5=a1dd6752e08eb69aa8b47268ad66d6e1},
document_type={Conference Paper},
source={Scopus},
}

@CONFERENCE{Molina20091068,
author={Molina, D. and Lozano, M. and Herrera, F.},
title={Memetic algorithm with local search chaining for continuous optimization problems: A scalability test},
journal={ISDA 2009 - 9th International Conference on Intelligent Systems Design and Applications},
year={2009},
pages={1068-1073},
doi={10.1109/ISDA.2009.143},
art_number={5364186},
note={cited By 16},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-77949523039&doi=10.1109%2fISDA.2009.143&partnerID=40&md5=2028c3c2767387473ac8964c59b437c5},
document_type={Conference Paper},
source={Scopus},
}

@ARTICLE{García2009617,
author={García, S. and Molina, D. and Lozano, M. and Herrera, F.},
title={A study on the use of non-parametric tests for analyzing the evolutionary algorithms' behaviour: A case study on the CEC'2005 Special Session on Real Parameter Optimization},
journal={Journal of Heuristics},
year={2009},
volume={15},
number={6},
pages={617-644},
doi={10.1007/s10732-008-9080-4},
note={cited By 1421},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-70349270458&doi=10.1007%2fs10732-008-9080-4&partnerID=40&md5=bc338c93ae0c770058fe40f9e47599c0},
document_type={Article},
source={Scopus},
}

@CONFERENCE{Molina2009830,
author={Molina, D. and Lozano, M. and Herrer, F.},
title={Memetic algorithm with local search chaining for large scale continuous optimization problems},
journal={2009 IEEE Congress on Evolutionary Computation, CEC 2009},
year={2009},
pages={830-837},
doi={10.1109/CEC.2009.4983031},
art_number={4983031},
note={cited By 18},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-70449761316&doi=10.1109%2fCEC.2009.4983031&partnerID=40&md5=6ffcb9198df1a982d1665d5c755a6c2a},
document_type={Conference Paper},
source={Scopus},
}

@CONFERENCE{Molina20092359,
author={Molina, D. and Lozano, M. and Herrera, F.},
title={A memetic algorithm using local search chaining for black-box optimization benchmarking 2009 for noisy functions},
journal={Proceedings of the 11th Annual Genetic and Evolutionary Computation Conference, GECCO-2009},
year={2009},
volume={2009-January},
pages={2359-2365},
doi={10.1145/1570256.1570329},
note={cited By 2},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-79952036390&doi=10.1145%2f1570256.1570329&partnerID=40&md5=84b436020bf558f0c81cf61edf166895},
document_type={Conference Paper},
source={Scopus},
}

@CONFERENCE{Molina20092255,
author={Molina, D. and Lozano, M. and Herrera, F.},
title={A memetic algorithm using local search chaining forblack-box optimization benchmarking 2009 for noise free functions},
journal={Proceedings of the 11th Annual Genetic and Evolutionary Computation Conference, GECCO-2009},
year={2009},
volume={2009-January},
pages={2255-2261},
doi={10.1145/1570256.1570314},
note={cited By 1},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-77955943515&doi=10.1145%2f1570256.1570314&partnerID=40&md5=38198123e03e5149c8d432f947f57a94},
document_type={Conference Paper},
source={Scopus},
}

@ARTICLE{García-Martínez20081088,
author={García-Martínez, C. and Lozano, M. and Herrera, F. and Molina, D. and Sánchez, A.M.},
title={Global and local real-coded genetic algorithms based on parent-centric crossover operators},
journal={European Journal of Operational Research},
year={2008},
volume={185},
number={3},
pages={1088-1113},
doi={10.1016/j.ejor.2006.06.043},
note={cited By 239},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-34848832935&doi=10.1016%2fj.ejor.2006.06.043&partnerID=40&md5=17641793ff3d4703a78a1376e3964b3e},
document_type={Article},
source={Scopus},
}

@ARTICLE{Sánchez2008246,
author={Sánchez, A.M. and Lozano, M. and García-Martínez, C. and Molina, D. and Herrera, F.},
title={Real-parameter crossover operators with multiple descendents: An experimental study},
journal={International Journal of Intelligent Systems},
year={2008},
volume={23},
number={2},
pages={246-268},
doi={10.1002/int.20258},
note={cited By 7},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-38949127958&doi=10.1002%2fint.20258&partnerID=40&md5=ad10701183f2f740ac78ddad072f19fe},
document_type={Conference Paper},
source={Scopus},
}

@ARTICLE{Molina200858,
author={Molina, D. and Lozano, M. and García-Martínez, C. and Herrera, F.},
title={Memetic algorithm for intense local search methods using local search chains},
journal={Lecture Notes in Computer Science (including subseries Lecture Notes in Artificial Intelligence and Lecture Notes in Bioinformatics)},
year={2008},
volume={5296 LNCS},
pages={58-71},
doi={10.1007/978-3-540-88439-2_5},
note={cited By 5},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-57049108743&doi=10.1007%2f978-3-540-88439-2_5&partnerID=40&md5=c380d9ce2275e1cb11f228062def61e9},
document_type={Conference Paper},
source={Scopus},
}

@ARTICLE{Herrera2006450,
author={Herrera, F. and Lozano, M. and Molina, D.},
title={Continuous scatter search: An analysis of the integration of some combination methods and improvement strategies},
journal={European Journal of Operational Research},
year={2006},
volume={169},
number={2},
pages={450-476},
doi={10.1016/j.ejor.2004.08.009},
note={cited By 55},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-25444435485&doi=10.1016%2fj.ejor.2004.08.009&partnerID=40&md5=94dd5b7ba1a4a3a91b0dd9962e289bf5},
document_type={Article},
source={Scopus},
}

@ARTICLE{García-Martínez2006192,
author={García-Martínez, C. and Lozano, M. and Molina, D.},
title={A local genetic algorithm for binary-coded problems},
journal={Lecture Notes in Computer Science (including subseries Lecture Notes in Artificial Intelligence and Lecture Notes in Bioinformatics)},
year={2006},
volume={4193 LNCS},
pages={192-201},
doi={10.1007/11844297_20},
note={cited By 14},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-33750268023&doi=10.1007%2f11844297_20&partnerID=40&md5=4ef0ada706f7a09cd8ad9dfebe6b4802},
document_type={Conference Paper},
source={Scopus},
}

@CONFERENCE{Molina2005888,
author={Molina, D. and Herrera, F. and Lozano, M.},
title={Adaptive local search parameters for real-coded memetic algorithms},
journal={2005 IEEE Congress on Evolutionary Computation, IEEE CEC 2005. Proceedings},
year={2005},
volume={1},
pages={888-895},
note={cited By 100},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-27144547148&partnerID=40&md5=965b2a143b49980ceb5568ff1fc03a20},
document_type={Conference Paper},
source={Scopus},
}

@ARTICLE{Lozano2004273,
author={Lozano, M. and Herrera, F. and Krasnogor, N. and Molina, D.},
title={Real-coded memetic algorithms with crossover hill-climbing},
journal={Evolutionary Computation},
year={2004},
volume={12},
number={3},
pages={273-302},
doi={10.1162/1063656041774983},
note={cited By 266},
url={https://www.scopus.com/inward/record.uri?eid=2-s2.0-4544245255&doi=10.1162%2f1063656041774983&partnerID=40&md5=22b39a6b9fb0990f9ca07fa6bde4c624},
document_type={Article},
source={Scopus},
}
